# 行情地址说明

## HTTP接口地址

### 1、批量查询K线接口( [接口文档](/rest-api/http-endpoints/get-candles.md))

**股票（包括美股、港股、A股）K线查询接口（POST）**：

```
data.infoway.io/stock/v2/batch_kline
```

**加密货币K线查询接口（POST）**：

```
data.infoway.io/crypto/v2/batch_kline
```

**外汇商品期货K线查询接口（POST）**：

```
data.infoway.io/common/v2/batch_kline
```

**日本K线查询接口（POST）**：

```
data.infoway.io/japan/v2/batch_kline
```

**印度K线查询接口（POST）**：

```
data.infoway.io/india/v2/batch_kline
```

### 2、批量查询成交明细接口( [接口文档](/rest-api/http-endpoints/get-trade.md))

**股票（包括美股、港股、A股）成交明细查询接口（GET）**：

```
data.infoway.io/stock/batch_trade/{codes}
```

**加密货币成交明细查询接口（GET）**：

```
data.infoway.io/crypto/batch_trade/{codes}
```

**外汇商品期货成交明细查询接口（GET）**：

```
data.infoway.io/common/batch_trade/{codes}
```

**日本成交明细查询接口（GET）**：

```
data.infoway.io/japan/batch_trade/{codes}
```

**印度成交明细查询接口（GET）**：

```
data.infoway.io/india/batch_trade/{codes}
```

### 3、批量查询盘口接口( [接口文档](/rest-api/http-endpoints/get-depth.md))

**股票（包括美股、港股、A股）盘口查询接口（GET）**：

```
data.infoway.io/stock/batch_depth/{codes}
```

**加密货币盘口查询接口（GET）**：

```
data.infoway.io/crypto/batch_depth/{codes}
```

**外汇商品期货盘口查询接口（GET）**：

```
data.infoway.io/common/batch_depth/{codes}
```

**日本盘口查询接口（GET）**：

```
data.infoway.io/japan/batch_depth/{codes}
```

**印度盘口查询接口（GET）**：

```
data.infoway.io/india/batch_depth/{codes}
```

### 4、获取产品code列表

[产品列表接口文档](/rest-api/basic-info/get-symbol-list.md)

### 5、获取产品的基础信息

[产品基础信息接口文档](/rest-api/basic-info/get-symbol-basic-info.md)

### 6、获取市场的交易日以及交易时间段信息

[交易时间段接口文档](/rest-api/basic-info/get-market-trading-hours.md)

[市场交易日接口文档](/rest-api/basic-info/get-market-trading-days.md)

## Websocket请求地址

[文档地址](/websocket-api/endpoints.md)


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.infoway.io/getting-started/api-endpoints.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
